Story # 40329 (Postponed): As a content manager, I want to list and edit my Content and Domain Objects inside the Management view

Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-09-20 Assigned To: Sebastian Kurfuerst
Updated: 2012-10-04 Due date:
Subject: style forms to be more usable
Description

Associated revisions
Revision 225df87c - 2012-09-20 15:20 - Sebastian Kurfuerst

[BUGFIX] Make datepickers resettable using backspace or escape key

Without the fix, there is no way of resetting a datepicker again to
an empty value.

Related: #41106
Change-Id: I44b0915bffd9d01f2f3e3565fa74073a586f2218

Revision e1758e65 - 2012-09-20 15:33 - Sebastian Kurfuerst

[BUGFIX] Conversion to date objects should only happen if strings are given

When editing nodes in the backend, the DateTime objects are already created
by the Form Framework; thus we only want to do the conversion if the input
values are strings.

Related: #41106
Change-Id: I1fafab26771f131be6975c715887badb1bdb1059

Revision ea6bbdaf - 2012-09-20 15:38 - Sebastian Kurfuerst

[FEATURE] Styling & new fields for Node Editing forms

Besides a working style, the Node Editing now has possibilities to display
starttime, endtime and hidden controls.

You need I44b0915bffd9d01f2f3e3565fa74073a586f2218 and
I1fafab26771f131be6975c715887badb1bdb1059 to test this change.

Resolves: #41106
Change-Id: Ib993886de3fd9653418762b8c51f85018ff3bd6d

History
#1 - 2012-09-20 12:47 - Sebastian Kurfuerst
- Status changed from New to Accepted
#2 - 2012-09-20 15:38 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14767

#3 - 2012-09-20 15:38 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#4 - 2012-10-04 13:59 - Markus Goldbeck
- Status changed from Resolved to Closed
